function y = reverb_earlyrefl(x, m_E, a_E);
% x: input signal; m_E: R-dim array of delays (in samples) of early 
% reflections; a_E: R-dim array of gains of early reflections

num = zeros(1,max(m_E)+1); %empty FIR numerator
num(m_E+1) = a_E; % populate numerator with early reflection gains
y = filter(num,1,x);
