function y = reverb_moorer_earlyrefl(x,Tr,m_E,a_E,m_H,g1_H,m_A,g_A,g_mix);

global Fs;
y_E = reverb_earlyrefl(x,m_E,a_E);             %early refl.
y_L = reverb_moorer(y_E,Tr,m_H,g1_H,m_A,g_A);  %late rev.

delaydiff = max(m_E) - min(m_H);        % diff. in delay between early
if (delaydiff>0)                        % refl. and late rev.
    y = [y_E; zeros(delaydiff,1)] + g_mix*[zeros(delaydiff,1); y_L];
else
    y = [zeros(delaydiff,1); y_E] + g_mix*[y_L; zeros(delaydiff,1)];
end
